
QGIS Application - Bug report #19526

QGIS3 crashes on loading plugin manager

2018-08-01 08:05 PM - Alex Zvoleff

Status: Open

Priority: High

Assignee:

Category: Plugin Manager

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27353

Description

When I click "Plugins" -> "Manage and Install Plugins", I get a crash. I tried deleting my user settings folder, but this didn't help.

Bug report is below:

User Feedback

Tried to load the plugin manager.

Report Details

Crash ID: b122357ce3b80f0a997f8e1815dc4609d9ad2f28

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

CPLString::~CPLString :

CPLString::~CPLString :

PyInit__gui :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-08-02 11:08 AM - Giovanni Manghi

- Category changed from Python plugins to Plugin Manager

- Priority changed from Normal to High

#2 - 2018-08-10 09:24 PM - Borys Jurgiel

I have two questions: Is QGIS installed from the OsGeo4W web installer or the standalone (normal) installer? Was QGIS 2.x and/or OsGeo4W stuff ever

installed on that computer?

I'm trying to make sure these problems are always caused by some remains of old versions and never occur on fresh installations.

#3 - 2018-08-11 01:00 AM - Alex Zvoleff

Yes on both counts - the 3.2 install that crashed was installed with the OSGeo4W installer, and QGIS 2.18 is also installed on this system. In the past this

computer has had QGIS 2.x installed from the standalone installer, although right now the QGIS 2.18 on it is from OsGeo4W.

#4 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback
Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2019-02-11 04:19 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

#6 - 2019-02-13 03:23 PM - Alex Zvoleff

- Status changed from Closed to Reopened

I do still see this in 3.4.1, but I am not sure how to change the affected version in the report though. I don't seem to be able to update the affected version -

do I need to post a new report?

#7 - 2019-02-13 05:35 PM - Giovanni Manghi

- Status changed from Reopened to Closed

Alex Zvoleff wrote:

I do still see this in 3.4.1, but I am not sure how to change the affected version in the report though. I don't seem to be able to update the affected

version - do I need to post a new report?

update to 3.4.4 and try on a new/clean profile, if the issue remain we can reopen and change the affected version.

#8 - 2019-02-13 08:44 PM - Alex Zvoleff

- Status changed from Closed to Reopened

Yep, still see this on 3.4.4, even after deleting the old QGIS folders from AppData (I'm on Windows). Stack trace is below:

User Feedback

Installed QGIS from OSGeo4W, then clicked "plugins" -> "manage and install plugins".

Report Details

Crash ID: 9bdd35c5dc25b2449b1fbbebb0537fea60a30bc3

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

QgsSettingsLocatorFilter::triggerResult :

QgsSettingsLocatorFilter::triggerResult :

PyInit__gui :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyEval_EvalCodeEx :
PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:af723c4942

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

#9 - 2019-02-13 08:45 PM - Giovanni Manghi

- Status changed from Reopened to Open

- Affected QGIS version changed from 3.2.1 to 3.4.4

- Resolution deleted (no timely feedback)

Alex Zvoleff wrote:

Yep, still see this on 3.4.4, even after deleting the old QGIS folders from AppData (I'm on Windows). Stack trace is below:

ok reopened, but still very likely a local issue.
#10 - 2019-03-06 05:29 PM - Axel Hörteborn

Giovanni Manghi wrote:

Alex Zvoleff wrote:

Yep, still see this on 3.4.4, even after deleting the old QGIS folders from AppData (I'm on Windows). Stack trace is below:

ok reopened, but still very likely a local issue.

I can confirm that this issue also occurs in 3.4.5 (Just happened, have worked earlier..)
